<?php 
	session_start();
	//Si viene URL
	if(isset($_SERVER['HTTP_REFERER'])) {
		$substrings = explode("/", $_SERVER['HTTP_REFERER']);
		foreach ($substrings as &$valor) {
			if ($valor=="es" || $valor=="en" || $valor=="pt"){
				$_SESSION['lang'] = $valor;
			}
		}
	}
	//Si viene por GET
	if (isset($_GET['lang'])) {
		$_SESSION['lang'] = $_GET['lang'];
	}
	//Si no está seteada la variable de sesion (no vino por URL ni por GET)
	if (!isset($_SESSION['lang'])){
		$_SESSION['lang'] = "es";
	}
	
	$consulta_string = "SELECT * FROM idiomas WHERE idioma = '" . $_SESSION['lang'] . "'";
	$consulta = mysqli_query($catalogo,$consulta_string) or die(mysqli_error());
	$renglones = $consulta->fetch_assoc();
	$cantidad_renglones = $consulta->num_rows;
	$diccionario = array();
	do{
		$palabra = $renglones['palabra'];
		$diccionario[$palabra] = $renglones['traduccion'];
	}while($renglones = $consulta->fetch_assoc());
	//print_r($diccionario);
?>